## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://developer.mindbridge.ai/llms.txt)

Use this file to discover all available pages before exploring further.

Query Data Table

### POST /v1/data-tables/query

#### cURL

```bash
curl --request POST \
  --url https://{tenant}.mindbridge.ai/api/v1/data-tables/query \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
```

#### Python

```python
import requests

url = "https://{tenant}.mindbridge.ai/api/v1/data-tables/query"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

#### JavaScript (Fetch)

```javascript
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({})
};

fetch('https://{tenant}.mindbridge.ai/api/v1/data-tables/query', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

#### PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://{tenant}.mindbridge.ai/api/v1/data-tables/query",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

#### Go

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

url := "https://{tenant}.mindbridge.ai/api/v1/data-tables/query"

payload := strings.NewReader("{}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

#### Java (Unirest)

```java
HttpResponse<String> response = Unirest.post("https://{tenant}.mindbridge.ai/api/v1/data-tables/query")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

#### Ruby

```ruby
require 'uri'
require 'net/http'

url = URI("https://{tenant}.mindbridge.ai/api/v1/data-tables/query")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

#### Response

200 - application/json

```json
{
  "pageNumber": 123,
  "totalPages": 123,
  "content": [
    {
      "id": "<string>",
      "engagementId": "<string>",
      "analysisId": "<string>",
      "analysisResultId": "<string>",
      "logicalName": "<string>",
      "type": "<string>",
      "columns": [
        {
          "originalName": "<string>",
          "field": "<string>",
          "mindBridgeField": "<string>",
          "nullable": true,
          "equalitySearch": true,
          "rangeSearch": true,
          "sortable": true,
          "containsSearch": true,
          "keywordSearch": true,
          "caseInsensitiveSubstringSearch": true,
          "caseInsensitivePrefixSearch": true,
          "filterOnly": true,
          "typeaheadDataTableId": "<string>"
        }
      ]
    }
  ],
  "numberOfElements": 123,
  "totalElements": 123,
  "pageable": {
    "pageNumber": 123,
    "pageSize": 123,
    "offset": 123,
    "sort": {
      "sorted": true,
      "unsorted": true,
      "empty": true
    }
  },
  "pageSize": 123,
  "sort": {
    "sorted": true,
    "unsorted": true,
    "empty": true
  },
  "first": true,
  "last": true,
  "size": 123,
  "number": 123
}
```

### Authorizations

Authorization

- **string** (header) required 
- Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.

### Query Parameters

| Parameter | Type    | Default | Description |
|-----------|---------|---------|-------------|
| page      | integer | 0       | Zero-based page index (0..N) - Required range: `x >= 0` |
| size      | integer | 20      | The size of the page to be returned - Required range: `x >= 1` |
| sort      | string[]|         | Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |

### Body

**application/json**

```json
{key}
```

- Type: integer, number, boolean, string

### Response

**200** - application/json
